/*
   FILNAME:		

   PURPOSE:   

   CREATED BY:  Per Ghosh
   ENVIRONMENT:	Visual C++


INFO:
*/

#include "stdafx.h"
#include "PropertysheetInWindow.h"

#include "Doc.h"
#include "viewWindow.h"
#include "sheetWithTab.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CviewWindow

IMPLEMENT_DYNCREATE(CviewWindow, CView)

BEGIN_MESSAGE_MAP(CviewWindow, CView)
	//{{AFX_MSG_MAP(CviewWindow)
	ON_COMMAND(ID_PAGE_PAGETWO, OnPagePagetwo)
	ON_COMMAND(ID_PAGE_PAGEONE, OnPagePageone)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/************************************************
   *   Constructor/Destructor 
   *
 * * *
  ***
   *
*/

CviewWindow::CviewWindow() :
   m_psheetWithTab(NULL), m_psheetNoTab(NULL)
{
}

CviewWindow::~CviewWindow()
{
   if( m_psheetWithTab ) delete m_psheetWithTab;
   
   if( m_psheetNoTab ) delete m_psheetNoTab;
}

/************************************************
   *   Virtual functions
   *
 * * *
  ***
   *
*/

/*-------------------------------------------------------------------------------------------------
Name:	   PreCreateWindow()
Type:    virtual    
Purpose: 

Param:   cs = reference to a CREATESTRUCT where you can modify window-style

Return:  BOOL, TRUE if ok otherwise FALSE
*/
BOOL CviewWindow::PreCreateWindow(CREATESTRUCT& cs)
{
	return CView::PreCreateWindow(cs);
}

void CviewWindow::OnInitialUpdate() 
{
	CView::OnInitialUpdate();

   m_psheetWithTab = new CsheetWithTab(CRect( 20,50, 200, 200 ) );
   m_psheetWithTab->Create( this, WS_SYSMENU|WS_CHILD|WS_VISIBLE, 0 );


   m_psheetNoTab = new CsheetWithTab(CRect( 250, 50, 430, 200 ) );
   m_psheetNoTab->NoTabs();
   m_psheetNoTab->Create( this, WS_SYSMENU|WS_CHILD|WS_VISIBLE, 0 );

}

void CviewWindow::OnDraw(CDC* pDC)
{
	CDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
}


/************************************************
   *   Debug
   *
 * * *
  ***
   *
*/


#ifdef _DEBUG
void CviewWindow::AssertValid() const
{
	CView::AssertValid();
}

void CviewWindow::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CDoc* CviewWindow::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CDoc)));
	return (CDoc*)m_pDocument;
}
#endif //_DEBUG

/************************************************
   *   Messages
   *
 * * *
  ***
   *
*/


void CviewWindow::OnPagePagetwo() 
{
   m_psheetNoTab->SetActivePage(1);	
}

void CviewWindow::OnPagePageone() 
{
   m_psheetNoTab->SetActivePage(0);	
}
